
<header class="header">
  <div class="inner">
  <div class="mob navClose">X</div>


  <h1 class="logo nomob">
    <span>{{ site.title }}</span>
    <a href="/">{% include svg-logo.html %}</a>
  </h1>


</header>

<style lang="scss" scoped> {% capture to_scss %} @import 'vars';
  h1.logo{
    position: relative;
    float: left;
    margin-top: 12px;
    @include mq(sm) { float: none; }

    span{
      display: block;
      visibility: hidden;
      height: 0;
      width: 0;
    }

    svg{
      @include mq(smd) { width: 140px }
    }
  }


  header.header{
    .inner{
      @extend .inner;
      padding-bottom: 44px;
      padding-top: 27px;
      @include mq(smd) {position: static;}

      .navClose{
        cursor: pointer;
        position: absolute;
        right: 16px;
        top: 28px;
        z-index: 1;
        font-weight: bold;
      }

      #topnav{
        float: right;
        padding-top: 5px;
        //@include mq(sm) { float: none; margin-bottom: 8px; position: absolute; bottom: 40px; width: 100%; }
        @include mq(md) { clear: right }

        ul{
          clear: both;
          display: inline-block;

          li{
            list-style: none;
            float: left;
            position: relative;
            padding: 0 20px;
            @include mq(sm) { padding: 0 8px 0 0; font-size: 20px; }
            &:last-of-type{
              @include mq(sm) { padding: 0 8px 0; }
            }

            &:not(:last-of-type){
            border-right: .5px solid $royal;
            }

            a{
              display: block;
              color: $royal;
              font-weight: bold;
              &:hover{
                  color: $cyan;
                  transition: all .4s;
              }
            }
          }
        }
      }

      #mainnav{
        float: left;
        padding-top: 44px;
        padding-left: 87px;
        margin-top: 12px;
        @include mq(lg){
          .activeNavLink{ position: relative; }
          .activeNavLink:after{
            display: block;
            width: 20px;
            text-align: center;
            content: '\25e2';
            transform: rotate(45deg);
            font-family: "Arial", Helvetica, sans-serif;
            color: $royal;
            position: absolute;
            left: calc(50% - 10px);
            bottom: -17px;
          }
        }
        @include mq(sm) { float: none; padding-left: 0; padding-top: 0px; }
        @include mq(md) { padding-left: 0; float: none; clear: both; padding-top: 32px; }

        ul{
          clear: both;
          @include mq(md) { text-align: center; width: 100%; display: block; }

          li{
            list-style: none;
            float: left;
            position: relative;
            padding: 0 20px;
            @include mq(sm) { float: none; padding: 0px 0px 24px; font-size: 32px; }
            @include mq(md) { display: inline-block; float: none; padding: 0 16px; }

            a{
              @extend .navlink;
              @include mq(sm) { font-size: 28px; text-transform: unset; letter-spacing: 0;}
            }
          }
        }
      }

      #help{
        margin-top: 12px;
        padding: 36px 0px 36px 24px;
        float: right;

        @include mq(md) { margin-top: -160px; }
        @include mq(sm) { margin-top: 50px; text-align: center; float: none; padding-left: 0px; }

        .button {
          display: inline-block;
          margin-left: 24px;
          font-size: 17px;
          @include mq(xlg) { font-size: 14px; margin-left: 12px; padding: 10px 30px; }
          @include mq(sm) { font-size: 17px; margin-left: 24px; padding: 10px 30px; }
        }

        .buttonOutlined {
          display: inline-block;
          font-size: 17px;
          @include mq(xlg) { font-size: 14px; padding: 8px 28px; }
          @include mq(sm) { font-size: 17px; margin-left: 0px; padding: 8px 28px; }
        }
      }
    }

    @include mq(sm) {
      display: none;
      font-size: 170%;
      text-align: center;
      position: fixed;
      width: 100%;
      background: rgba(255,255,255,.98);
      z-index: 99;
      top: 0;
      left: 0;
      height: 100%;
    }

  }

  .mlogo{
    position: relative;

    .navOpen{
      cursor: pointer;
      position: fixed;
      z-index: 98;
      font-size: 40px;
      right: 16px;
      top: 20px;
      width: 80px;

      span{
        font-size: 12px;
        height: auto;
        width: auto;
        display: inline-block;
        position: relative;
        bottom: 6px;
        visibility: visible;
        letter-spacing: 1px;
      }

      &:after{
        content: "=";
        position: absolute;
        bottom: 0;
        font-size: 40px;
        bottom: -8px;
        left: 0;
      }
    }
  }
  @media screen and (min-width: 1046px) and (max-width: 1216px){

    #mainnav{
      padding-left: 8px !important;
      position: relative;
      top: -2px;
    }

    .inner{
      padding-left: 24px;
      padding-right: 24px;
    }

    .logo{
      svg{
      }
    }
  }

  @include mq(md){
    header.header .inner{padding-bottom: 0px;}

    #topnav{
      padding-top: 18px;
    }

    #mainnav{
      li{
        padding:0 8px !important;
      }
    }
  }

  @include mq(sm) {
    header{
      .inner{
        display: flex;
        flex-wrap: nowrap;
        flex-direction: column;
      }
      #mc_embed_signup{ order: 4; float: none; }
      #topnav{ order: 2; float: none; padding-bottom: 60px;}
      #mainnav{ order: 1; float: none; padding-bottom: 24px; padding-top: 40px;}
    }
  }
{% endcapture %}{{ to_scss | scssify }}</style>
